- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Edje Box Part
Edje Part

Functions that deal with parts of type box. More...

## Functions
void | edje_box_layout_register (const char *name, Evas_Object_Box_Layout func, void *(*layout_data_get)(void *), void(*layout_data_free)(void *), void(*free_data)(void *), void *data)
| Registers a custom layout to be used in edje boxes. More...
#define | edje_obj_part_box_append(part, child, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_BOX_APPEND), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Evas_Object *, child), EO_TYPECHECK(Eina_Bool *, ret)
| Appends an object to the box. More...
#define | edje_obj_part_box_prepend(part, child, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_BOX_PREPEND), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Evas_Object *, child), EO_TYPECHECK(Eina_Bool *, ret)
| Prepends an object to the box. More...
#define | edje_obj_part_box_insert_before(part, child, reference, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_BOX_INSERT_BEFORE), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Evas_Object *, child), EO_TYPECHECK(const Evas_Object *, reference), EO_TYPECHECK(Eina_Bool *, ret)
| Adds an object to the box. More...
#define | edje_obj_part_box_insert_at(part, child, pos, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_BOX_INSERT_AT), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Evas_Object *, child), EO_TYPECHECK(unsigned int, pos), EO_TYPECHECK(Eina_Bool *, ret)
| Inserts an object to the box. More...
#define | edje_obj_part_box_remove(part, child, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_BOX_REMOVE), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Evas_Object *, child), EO_TYPECHECK(Evas_Object **, ret)
| Removes an object from the box. More...
#define | edje_obj_part_box_remove_at(part, pos, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_BOX_REMOVE_AT), EO_TYPECHECK(const char *, part), EO_TYPECHECK(unsigned int, pos), EO_TYPECHECK(Evas_Object **, ret)
| Removes an object from the box. More...
#define | edje_obj_part_box_remove_all(part, clear, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_BOX_REMOVE_ALL), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool, clear), EO_TYPECHECK(Eina_Bool *, ret)
| Removes all elements from the box. More...
Eina_Bool | edje_object_part_box_append (Evas_Object *obj, const char *part, Evas_Object *child)
| Appends an object to the box. More...
Eina_Bool | edje_object_part_box_prepend (Evas_Object *obj, const char *part, Evas_Object *child)
| Prepends an object to the box. More...
Eina_Bool | edje_object_part_box_insert_before (Evas_Object *obj, const char *part, Evas_Object *child, const Evas_Object *reference)
| Adds an object to the box. More...
Eina_Bool | edje_object_part_box_insert_at (Evas_Object *obj, const char *part, Evas_Object *child, unsigned int pos)
| Inserts an object to the box. More...
Evas_Object * | edje_object_part_box_remove (Evas_Object *obj, const char *part, Evas_Object *child)
| Removes an object from the box. More...
Evas_Object * | edje_object_part_box_remove_at (Evas_Object *obj, const char *part, unsigned int pos)
| Removes an object from the box. More...
Eina_Bool | edje_object_part_box_remove_all (Evas_Object *obj, const char *part, Eina_Bool clear)
| Removes all elements from the box. More...

## Detailed Description

Functions that deal with parts of type box.

Box is a container type for parts, that means it can contain other parts.

## Macro Definition Documentation

#define edje_obj_part_box_append | ( |  | part,
|  |  | child,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_BOX_APPEND), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Evas_Object *, child), EO_TYPECHECK(Eina_Bool *, ret)

Appends an object to the box.

Since
  1.8

Parameters

  [in] | part |
  [in] | child |
  [out] | ret |

See Also
  edje_object_part_box_append

Referenced by edje_object_part_box_append().

#define edje_obj_part_box_prepend | ( |  | part,
|  |  | child,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_BOX_PREPEND), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Evas_Object *, child), EO_TYPECHECK(Eina_Bool *, ret)

Prepends an object to the box.

Since
  1.8

Parameters

  [in] | part |
  [in] | child |
  [out] | ret |

See Also
  edje_object_part_box_prepend

Referenced by edje_object_part_box_prepend().

#define edje_obj_part_box_insert_before | ( |  | part,
|  |  | child,
|  |  | reference,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_BOX_INSERT_BEFORE), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Evas_Object *, child), EO_TYPECHECK(const Evas_Object *, reference), EO_TYPECHECK(Eina_Bool *, ret)

Adds an object to the box.

Since
  1.8

Parameters

  [in] | part |
  [in] | child |
  [in] | reference |
  [out] | ret |

See Also
  edje_object_part_box_insert_before

Referenced by edje_object_part_box_insert_before().

#define edje_obj_part_box_insert_at | ( |  | part,
|  |  | child,
|  |  | pos,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_BOX_INSERT_AT), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Evas_Object *, child), EO_TYPECHECK(unsigned int, pos), EO_TYPECHECK(Eina_Bool *, ret)

Inserts an object to the box.

Since
  1.8

Parameters

  [in] | part |
  [in] | child |
  [in] | pos |
  [out] | ret |

See Also
  edje_object_part_box_insert_at

Referenced by edje_object_part_box_insert_at().

#define edje_obj_part_box_remove | ( |  | part,
|  |  | child,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_BOX_REMOVE), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Evas_Object *, child), EO_TYPECHECK(Evas_Object **, ret)

Removes an object from the box.

Since
  1.8

Parameters

  [in] | part |
  [in] | child |
  [out] | ret |

See Also
  edje_object_part_box_remove

Referenced by edje_object_part_box_remove().

#define edje_obj_part_box_remove_at | ( |  | part,
|  |  | pos,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_BOX_REMOVE_AT), EO_TYPECHECK(const char *, part), EO_TYPECHECK(unsigned int, pos), EO_TYPECHECK(Evas_Object **, ret)

Removes an object from the box.

Since
  1.8

Parameters

  [in] | part |
  [in] | pos |
  [out] | ret |

See Also
  edje_object_part_box_remove_at

Referenced by edje_object_part_box_remove_at().

#define edje_obj_part_box_remove_all | ( |  | part,
|  |  | clear,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_BOX_REMOVE_ALL), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool, clear), EO_TYPECHECK(Eina_Bool *, ret)

Removes all elements from the box.

Since
  1.8

Parameters

  [in] | part |
  [in] | clear |
  [out] | ret |

See Also
  edje_object_part_box_remove_all

Referenced by edje_object_part_box_remove_all().

## Function Documentation

void edje_box_layout_register | ( | const char * | name,
|  | Evas_Object_Box_Layout | func,
|  | void *(*)(void *) | layout_data_get,
|  | void(*)(void *) | layout_data_free,
|  | void(*)(void *) | free_data,
|  | void * | data
| ) |  |

Registers a custom layout to be used in edje boxes.

Parameters

  name | The name of the layout
  func | The function defining the layout
  layout_data_get | This function gets the custom data pointer for func
  layout_data_free | Passed to func to free its private data when needed
  free_data | Frees data
  data | Private pointer passed to layout_data_get

This function registers custom layouts that can be referred from themes by the registered name. The Evas_Object_Box_Layout functions receive two pointers for internal use, one being private data, and the other the function to free that data when it's not longer needed. From Edje, this private data will be retrieved by calling layout_data_get, and layout_data_free will be the free function passed to func. layout_data_get will be called with data as its parameter, and this one will be freed by free_data whenever the layout is unregistered from Edje.

Examples:
  edje-box2.c.

References eina_rbtree_inline_insert(), and eina_rbtree_inline_remove().

Eina_Bool edje_object_part_box_append | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Evas_Object * | child
| ) |  |

Appends an object to the box.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  child | The object to append

Returns
  `EINA_TRUE:` Successfully added.
  `EINA_FALSE:` An error occurred.

Appends child to the box indicated by part.

See Also
  edje_object_part_box_prepend()
  edje_object_part_box_insert_before()
  edje_object_part_box_insert_at()

Examples:
  edje-box.c, and edje-box2.c.

References edje_obj_part_box_append, and EINA_FALSE.

Eina_Bool edje_object_part_box_prepend | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Evas_Object * | child
| ) |  |

Prepends an object to the box.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  child | The object to prepend

Returns
  `EINA_TRUE:` Successfully added.
  `EINA_FALSE:` An error occurred.

Prepends child to the box indicated by part.

See Also
  edje_object_part_box_append()
  edje_object_part_box_insert_before()
  edje_object_part_box_insert_at()

References edje_obj_part_box_prepend, and EINA_FALSE.

Eina_Bool edje_object_part_box_insert_before | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Evas_Object * | child,
|  | const Evas_Object * | reference
| ) |  |

Adds an object to the box.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  child | The object to insert
  reference | The object to be used as reference

Returns
  `EINA_TRUE:` Successfully added.
  `EINA_FALSE:` An error occurred.

Inserts child in the box given by part, in the position marked by reference.

See Also
  edje_object_part_box_append()
  edje_object_part_box_prepend()
  edje_object_part_box_insert_at()

Examples:
  edje-box.c.

References edje_obj_part_box_insert_before, and EINA_FALSE.

Eina_Bool edje_object_part_box_insert_at | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Evas_Object * | child,
|  | unsigned int | pos
| ) |  |

Inserts an object to the box.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  child | The object to insert
  pos | The position where to insert child

Returns
  `EINA_TRUE:` Successfully added.
  `EINA_FALSE:` An error occurred.

Adds child to the box indicated by part, in the position given by pos.

See Also
  edje_object_part_box_append()
  edje_object_part_box_prepend()
  edje_object_part_box_insert_before()

Examples:
  edje-box.c, and edje-box2.c.

References edje_obj_part_box_insert_at, and EINA_FALSE.

Evas_Object* edje_object_part_box_remove | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Evas_Object * | child
| ) |  |

Removes an object from the box.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  child | The object to remove

Returns
  Pointer to the object removed, or `NULL`.

Removes child from the box indicated by part.

See Also
  edje_object_part_box_remove_at()
  edje_object_part_box_remove_all()

Examples:
  edje-box.c.

References edje_obj_part_box_remove.

Evas_Object* edje_object_part_box_remove_at | ( | Evas_Object * | obj,
|  | const char * | part,
|  | unsigned int | pos
| ) |  |

Removes an object from the box.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  pos | The position index of the object (starts counting from 0)

Returns
  Pointer to the object removed, or `NULL`.

Removes from the box indicated by part, the object in the position pos.

See Also
  edje_object_part_box_remove()
  edje_object_part_box_remove_all()

Examples:
  edje-box2.c.

References edje_obj_part_box_remove_at.

Eina_Bool edje_object_part_box_remove_all | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Eina_Bool | clear
| ) |  |

Removes all elements from the box.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  clear | Delete objects on removal

Returns
  1: Successfully cleared.
  0: An error occurred.

Removes all the external objects from the box indicated by part. Elements created from the theme will not be removed.

See Also
  edje_object_part_box_remove()
  edje_object_part_box_remove_at()

Examples:
  edje-box.c.

References edje_obj_part_box_remove_all, and EINA_FALSE.